<_templates Include="trucks">
	<Wheel>
		<RearWheel
			ConnectedToHandbrake="true"			
			SuspensionMin="-0.43"
			HardpointOffsetY="-0.17"
			SuspensionStrength="0.022"
			SuspensionDamping="0.2"
			Torque="default"
			Type="kamaz_offroad"
		/>
		<FrontWheel			
			SteeringAngle="42"
			SteeringCastor="5"
			SteeringJointOffset="0.24"
			SuspensionMin="-0.43"
			HardpointOffsetY="-0.17"
			SuspensionStrength="0.031"
			SuspensionDamping="0.31"
			Torque="full"
			Type="kamaz_offroad"
			ParentFrame="BoneCabin_cdt"
		/>
	</Wheel>	
</_templates>
<Truck>
	<Wheels
		_noinherit="true"
		HardpointDefaultY="0.63"
		HardpointDefaultZ="1.02"
	>
		<Wheel _template="FrontWheel" HardpointX="3.323" />
		<Wheel _template="FrontWheel" HardpointX="3.323" RightSide="true" />
		<Wheel _template="RearWheel" HardpointX="0.009" />
		<Wheel _template="RearWheel" HardpointX="0.009" RightSide="true" />
		<Wheel _template="RearWheel" HardpointX="-1.305" />
		<Wheel _template="RearWheel" HardpointX="-1.305" RightSide="true" />
	</Wheels>
	<TruckData
		BackSteerSpeed="0.035"
		EngineIconMesh="env/engine_default"
		EngineIconScale="1.3"
		EngineStartDelay="1.7"
		ExhaustStartTime="0.8"
		FuelCapacity="260"
		LockClothInvertDir="true"
		LockClothOrigin="(1.5; 0.0; 0)"
		LockClothScale="0.9"
		Responsiveness="1.0"
		SteerSpeed="0.027"
	>
		<SteeringWheel Frame="BoneSteering" />
		<SteeringRack
			Frame="BoneRack"
			FrameSteerLeft="BoneRackLeft"
			FrameSteerRight="BoneRackRight"
			RackHalfSizeZ="0.714"
		/>
		<Steam Origin="(2.22; 1.13; 0)" />
		<Steam Origin="(3.881; 1.36; 0)" Scale="0.5" ParentFrame="BoneCabin_cdt" />
		<Sounds
			_template="Default"
			AirHissInterval="14.0"
			Origin="(3.4; 1.4; 0)"
			ParentFrame="BoneCabin_cdt"
		>
			<Reverse _inheritRemove="true" />
			<EngineStop Sound="engine/ural_stop" />
			<EngineStart Sound="engine/ural_start" />
			<EngineRev Sound="kamaz_offroad_rev" />
			<EngineNeutral Sound="kamaz_offroad_neutral" />
			<EngineIdle Sound="kamaz_offroad_idle" />
			<EngineLow Sound="kamaz_offroad_low" />			
			<EngineHigh Sound="engine/ural_high" />
			<EngineHeavy Sound="kamaz_offroad_high" />
		</Sounds>
		<Shakers>
			<Shaker Frame="BoneExhaust" MaxAngle="(2; 2; 2)" MaxFrequency="4" />
		</Shakers>
		<Shafts>
			<Shaft SocketPointA="Shaft1a" SocketPointB="Shaft1b" />
			<Shaft SocketPointA="Shaft2a" SocketPointB="Shaft2b" />
			<Shaft SocketPointA="Shaft3a" SocketPointB="Shaft3b" />
			<Shaft SocketPointA="Shaft4a" SocketPointB="Shaft4b" />
		</Shafts>
		<OcclusionVolume
			HalfSizeZ="1.45"
			HeightFront="1.4"
			HeightRear="0.8"
			MinX="-2.10"
			MaxX="4.30"
		>
			<FullOcclusion HeightRear="1.2" MinX="-2.40" MaxX="4.40" />
		</OcclusionVolume>
		<OcclusionMap HalfSizeZ="1.90" MinX="-2.85" MaxX="5.15" />
		<Motor BrakesDelay="0.5" MaxDeltaAngVel="1.02" Torque="145000" EngineResponsiveness="0.4" ClutchDelay="0.09" >
			<ReverseGear AngVel="1.3" />
			<HighGear AngVel="8.5" />
			<Gear AngVel="1.0" />
			<Gear AngVel="3.6" />
			<Gear AngVel="6.2" />
			<Gear AngVel="8.8" />
			<Gear AngVel="11.4" />
		</Motor>	
		<LimitedFluid
			Center="(1.595; 1.029; 0.735)"
			SizeX="0.701"
			SizeY="0.397"
			SizeZ="0.516"
			Type="Box"
		/>
		<LimitedFluid
			Center="(1.595; 1.029; -0.735)"
			SizeX="0.701"
			SizeY="0.397"
			SizeZ="0.516"
			Type="Box"
		/>
		<!--<Intake Dir="(0; 1.0; 0)" Origin="(2.98; 3.14; 0.252)" Size="0.4" />-->
		<Intake Dir="(1.0; 0; 0)" Origin="(4.459; 1.493; 0.261)" Size="0.4" />
		<Intake Dir="(1.0; 0; 0)" Origin="(4.459; 1.493; -0.261)" Size="0.4" />
		<Exhaust Dir="(0.00; -0.37; -0.93)" Origin="(0.58; 1.22; -1.2)" Speed="3.77" />
		<Driver Pos="(3.65; 1.74; 0.607)" SteeringWheelPos="(4.05; 2.14; 0.607)" ParentFrame="BoneCabin_cdt" />
		<Damage
			Capacity="600"
			SensationMin="(3.2; 2.1; -0.94)"
			SensationMax="(4.2; 2.8; 0.94)"
			ParentFrame="BoneCabin_cdt"
		/>
		<Camera Center="(-0.8; 0; 0)" ParentFrame="BoneCabin_cdt">
			<Cockpit
				_template="Default"
				ControlsDiffuse="g(65; 59; 51)"
				ControlsPos="(4.212; 2.145; 0.738)"
				ViewPos="(3.48; 2.44; 0.592)"
				WindshieldDiffuseTexture="trucks/kamaz4310_glass__d_a.tga"
			/>
		</Camera>
		<Axles>
			<Axle Frame="BoneAxle1" />
			<Axle Frame="BoneAxle2" />
			<Axle Frame="BoneAxle3" />
		</Axles>
	</TruckData>
	<PhysicsModel Mesh="trucks/kamaz4310">
		<Body
			CenterOfMassOffset="(-1.4; -0.2; 0)"
			ImpactType="Truck"
			Mass="3800"
		>
			<Body
				CenterOfMassOffset="(-0.2; -0.15; 0)"
				ImpactType="Truck"
				Mass="4200"
				ModelFrame="BoneCabin_cdt"
			>
				<Constraint
					AxisLocal="(1;0;0)"
					MinLimit="-22"
					MaxLimit="22"
					PivotOffset="(-2.0; -0.2; 0.0)"
					Type="Hinge"
				>
					<Motor Damping="31000" Spring="260000" Type="Spring" />
				</Constraint>
				<Body Collisions="None" Mass="1" ModelFrame="BoneChain_cdt">
					<Constraint
						AxisLocal="(0;0;1)"
						MinLimit="0"
						MaxLimit="30"
						Type="Hinge"
					/>
				</Body>
				<Body _template="SideMirror" ModelFrame="BoneMirrorLeft_cdt" />
				<Body _template="SideMirror" ModelFrame="BoneMirrorRight_cdt" />
			</Body>
		</Body>
	</PhysicsModel>
	<ModelAttachments>
		<Ignition>
			<Light _template="IgnitionSignalWhite" Pos="(4.8; 0.6; 0)" />
			<Flare _template="MarkerBeacon" Pos="(4.08; 2.83; 0.19)" ParentFrame="BoneCabin_cdt" />
			<Flare _template="MarkerBeacon" Pos="(4.08; 2.83; 0)" ParentFrame="BoneCabin_cdt" />
			<Flare _template="MarkerBeacon" Pos="(4.08; 2.83; -0.19)" ParentFrame="BoneCabin_cdt" />
			<Flare _template="IgnitionSignalWhite" Pos="(4.82; 1.02; 0.8)" ParentFrame="BoneCabin_cdt" />
			<Flare _template="IgnitionSignalWhite" Pos="(4.82; 1.02; -0.8)" ParentFrame="BoneCabin_cdt" />
		</Ignition>
		<HeadLight>
			<Model _template="HeadLightRay" Org="(4.586; 1.474; -0.808)" ParentFrame="BoneCabin_cdt" />
			<Model _template="HeadLightRay" Org="(4.586; 1.474; 0.808)" ParentFrame="BoneCabin_cdt" />
			<Flare _template="HeadLight" Pos="(4.586; 1.474; -0.808)" ParentFrame="BoneCabin_cdt" />
			<Flare _template="HeadLight" Pos="(4.586; 1.474; 0.808)" ParentFrame="BoneCabin_cdt" />
			<Flare _template="BlueStreak" Pos="(4.586; 1.474; -0.808)" ParentFrame="BoneCabin_cdt" />
			<Flare _template="BlueStreak" Pos="(4.586; 1.474; 0.808)" ParentFrame="BoneCabin_cdt" />
		</HeadLight>
	</ModelAttachments>
	<HeadLight _template="Default" Pos="(4.586; 1.444; 0.0)" ParentFrame="BoneCabin_cdt" />
	<GameData
		BalancePoints="3"
		ExcludeAddons="ural_cistern,kraz_carriage,kraz_tent"
		LogPoints="1"
	>
		<WinchSocket Pos="(4.8; 1.03; -0.54)" ParentFrame="BoneCabin_cdt" />
		<WinchSocket Pos="(4.8; 1.03; 0.54)" ParentFrame="BoneCabin_cdt" />
		<WinchSocket Pos="(-2.255; 1.24; -0.03)" />
		<WinchSocket Pos="(1.3; 0.8; -0.986)" />
		<WinchSocket Pos="(1.3; 0.8; 0.986)" />
		<CompletionStarsDecal Dir="(0.026; 0; 0.999)" Pos="(3.927; 1.783; 1.126)" />
		<AddonSockets>
			<Socket Names="UralCraneSupport" Offset="(0.288; 0.152; 0.0)" ParentFrame="BoneCabin_cdt" />
		</AddonSockets>
		<AddonSockets>
			<Socket Names="UralExhaust" Offset="(0.308; 0.107; 0.0)" ParentFrame="BoneCabin_cdt" />
		</AddonSockets>
		<AddonSockets>
			<Socket Names="KamazBackupWheel" ParentFrame="BoneCabin_cdt" />
		</AddonSockets>
		<AddonSockets>
			<Socket Names="UralCart" Offset="(0.28; 0.131; 0.0)" />
			<Socket Names="KrazTractor,KrazCart,KamazCartNoBackup" Offset="(0.452; 0.121; 0.0)" />
			<Socket Names="KrazCistern" NamesBlock="KamazBackupWheel" Offset="(0.45; 0.121; 0.0)" />
			<Socket Names="KamazCart" Offset="(0.0; 0.255; 0.0)" />
		</AddonSockets>
		<AddonSockets>
			<Socket Names="KamazTrailer" Offset="(-0.5; 1.35; 0.0)" />
			<Socket Names="KamazTrailerCart" Offset="(-2.4; 1.06; 0)" />
			<Socket Names="UralCartTrailer" Offset="(-2.351; 1.08; 0)" />
		</AddonSockets>
		<AddonSockets>
			<Socket Names="LoadLogsShort" Offset="(1.35; 0.24; 0.0)" />
			<Socket Names="LoadLogsMedium" Offset="(-0.7; 1.8; 0.0)" />
		</AddonSockets>
	</GameData>
</Truck>
